package be.iminds.ilabt.jfed.experimenter_gui.slice.actions;

import be.iminds.ilabt.jfed.experiment.Experiment;
import be.iminds.ilabt.jfed.experiment.ExperimentController;
import be.iminds.ilabt.jfed.experimenter_gui.slice.ExperimentViewController;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 2/4/2015
 * Time: 09:59
 */
public abstract class ExperimentViewAction implements Runnable {

    protected final Window parentWindow;
    protected final ExperimentViewController experimentViewController;
    protected final ExperimentController experimentController;
    protected final Experiment experiment;

    public ExperimentViewAction(ExperimentViewController experimentViewController) {
        this.parentWindow = experimentViewController.getScene().getWindow();
        this.experimentViewController = experimentViewController;
        this.experimentController = experimentViewController.getExperimentController();
        this.experiment = experimentController.getExperiment();
    }
}
